package org.jivesoftware.smack.iqrequest;

import org.jivesoftware.smack.packet.IQ;

public interface IQRequestHandler {
   IQ handleIQRequest(IQ var1);

   IQRequestHandler.Mode getMode();

   IQ.Type getType();

   String getElement();

   String getNamespace();

   public static enum Mode {
      sync,
      async;
   }
}
